List all send limits
curl --request GET \
--url https://staging-api.chip-in.asia/api/send/send_limits \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/send_limits"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/send_limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": 1,
"currency": "MYR",
"fee_type": "flat",
"transaction_type": "out",
"amount": 0,
"fee": 1,
"net_amount": -1,
"from_settlement": "2023-07-21",
"status": "success",
"approvals_required": 0,
"approvals_received": 0,
"created_at": "2023-07-20T09:00:16.982Z",
"updated_at": "2023-07-20T09:00:16.982Z"
}
],
"meta": {
"pagination": {
"current_page": 1,
"prev_page": null,
"next_page": null,
"total_pages": 1,
"total_count": 1
}
}
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}Send Limits
List all send limits
Returns list of send limits.
GET
/
send
/
send_limits
List all send limits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unix epoch timestamp Unix timestamp (seconds).
Example:
1619740800
Refer to checksum calculation
⌘I